org.apache.fop.layoutmgr

## Class BlockStackingLayoutManager.MappingPosition

- java.lang.Object
- - org.apache.fop.layoutmgr.Position
  - - org.apache.fop.layoutmgr.BlockStackingLayoutManager.MappingPosition

- Enclosing class:
    BlockStackingLayoutManager

      protected static class BlockStackingLayoutManager.MappingPosition
      extends Position

  A mapping position.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingPosition(LayoutManager lm, int first, int last)` Construct mapping position.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFirstIndex()`
    `int` | `getLastIndex()`

    - ### Methods inherited from class org.apache.fop.layoutmgr.Position

      `generatesAreas, getIndex, getLM, getLM, getPosition, getPosition, getShortLMName, setIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingPosition

          public MappingPosition(LayoutManager lm,
                                 int first,
                                 int last)

      Construct mapping position.
      Parameters:
        `lm` - layout manager
        `first` - position
        `last` - position

  - ### Method Detail

    - #### getFirstIndex

          public int getFirstIndex()

      Returns:
        first index

    - #### getLastIndex

          public int getLastIndex()

      Returns:
        last index

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.